﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Media.Imaging.FormatProviders;

namespace RadImageEditorScrollPosition
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private static readonly string image = "Data/image.png";

        public MainWindow()
        {
            InitializeComponent();
        }

        private void ImageEditorUI_ImageEditorLoaded(object sender, EventArgs e)
        {
            using (Stream stream = Application.GetResourceStream(new Uri(image, UriKind.RelativeOrAbsolute)).Stream)
            {
                PngFormatProvider provider = new PngFormatProvider();
                this.ImageEditorUI.ImageEditor.Image = provider.Import(stream);
                this.ImageEditorUI.ImageEditor.ScaleFactor = 3;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var scrollViewer = this.ImageEditorUI.ImageEditor.Template.FindName("ScrollViewer", this.ImageEditorUI.ImageEditor) as ScrollViewer;
            if (scrollViewer == null)
            {
                return;
            }

            scrollViewer.ScrollToHorizontalOffset(200);
            scrollViewer.ScrollToVerticalOffset(200);
        }
    }
}